List lenders
curl --request GET \
--url https://api.nextlevelmca.com/v1/lenders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/lenders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/lenders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "active",
"paper_grades": [
"A"
],
"tags": [
"<string>"
],
"products": {
"mca": true,
"term_loan": true,
"loc": true,
"equipment": true,
"factoring": true,
"reverse_consolidation": true
},
"use_api": true,
"submission_method": "email",
"catalog_slug": "<string>",
"funder_api_spec_id": "<string>",
"api_environment": "development",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"submissions_emails": [
"<string>"
],
"payment_terms": "<string>",
"clawback_period": 123,
"clawback_unit": "days",
"default_commission": 123,
"notes": "<string>",
"criteria_count": 123,
"criteria_updated_at": "<string>",
"kpis": {
"submissions_count": 123,
"decided_count": 123,
"approved_count": 123,
"approval_rate": 123,
"avg_deal_size": 123,
"total_funded": 123,
"total_advances": 123,
"last_submission_at": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Lenders
List lenders
Lenders of the location, alphabetical, with products, paper grades, KPIs and a count of configured criteria. Filter by status, paper_grade or api_enabled.
GET
/
v1
/
lenders
List lenders
curl --request GET \
--url https://api.nextlevelmca.com/v1/lenders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/lenders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/lenders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "active",
"paper_grades": [
"A"
],
"tags": [
"<string>"
],
"products": {
"mca": true,
"term_loan": true,
"loc": true,
"equipment": true,
"factoring": true,
"reverse_consolidation": true
},
"use_api": true,
"submission_method": "email",
"catalog_slug": "<string>",
"funder_api_spec_id": "<string>",
"api_environment": "development",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"submissions_emails": [
"<string>"
],
"payment_terms": "<string>",
"clawback_period": 123,
"clawback_unit": "days",
"default_commission": 123,
"notes": "<string>",
"criteria_count": 123,
"criteria_updated_at": "<string>",
"kpis": {
"submissions_count": 123,
"decided_count": 123,
"approved_count": 123,
"approval_rate": 123,
"avg_deal_size": 123,
"total_funded": 123,
"total_advances": 123,
"last_submission_at": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
API key (nlmca_live_…) or OAuth access token
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Opaque cursor from a previous response’s meta.next_cursor.
Only lenders with this status.
Available options:
active, inactive Only lenders that buy this paper grade.
Available options:
A, B, C, D Only lenders that accept submissions through an API integration (use_api).
Was this page helpful?